ipptool(1)

NAME
ipptool - Internet-Printing-Protocol-Abfragen durchführen

SYNOPSIS
ipptool [ --help ] [ --ippserver Dateiname ] [ --stop-after-include-error ] [ --version ] [ -4 ] [ -6 ] [ -C ] [ -E ] [ -I ] [ -L ] [ -P Dateiname.plist ] [ -S ] [ -T Sekunden ] [ -V Version ] [ -X ] [ -c ] [ -d Name=Wert ] [ -f Dateiname ] [ -h ] [ -i Sekunden ] [ -j ] [ -n Wiederholungszähler ] [ -q ] [ -t ] [ -v ] Drucker-URI Testdatei [ … Testdatei ]

BESCHREIBUNG
ipptool sendet IPP-Anfragen an die angegebene Drucker-URI und überprüft das Ergebnis oder zeigt es an. Jede benannte Testdatei definiert eine oder mehrere Anfragen, dazu gehören der erwartete Antwortstatus, die Attribute und Werte. Die Ausgabe ist entweder reiner Text, formatierter Text, CSV oder ein XML-Bericht auf der Standardausgabe. Ein von Null verschiedener Exit-Status gibt an, dass eine oder mehrere Tests fehlgeschlagen sind. Das Format der Testdatei wird in ipptoolfile(5) beschrieben.

OPTIONEN
Die folgenden Optionen werden von ipptool erkannt:

--help
    Zeigt die Programmhilfe.

--ippserver Dateiname
    Legt fest, dass die Testergebnisse in die benannte Attributedatei von ippserver geschrieben werden sollen.

--stop-after-include-error
    Teilt ipptool mit, abzubrechen, falls ein Fehler in der eingebundenen Datei auftritt. Normalerweise wird ipptool mit folgenden Tests nach der INCLUDE-Direktive fortfahren.

--version
    Zeigt die verwendete Version von ipptool an.

-4  Legt fest, dass ipptool sich zu dem Drucker oder Server mit IPv4 verbinden muss.

-6  Legt fest, dass ipptool sich zu dem Drucker oder Server mit IPv6 verbinden muss.

-C  Legt fest, dass Anfragen mit der HTTP/1.1-Kopfzeile »Transfer-Encoding: chunked« gesendet werden sollen, der für Konformität von allen IPP-Versionen verlangt wird. Standardmäßig wird »Transfer-Encoding: chunked« für Anfragen mit anhängenden Dateien und »Content-Length:« für Anfragen ohne anhängende Dateien verwandt.

-E  Erzwingt TLS-Verschlüsselung bei Verbindungen zum Server mit der HTTP-Kopfzeile »Upgrade«.

-I  Legt fest, dass ipptool bei Fehlern fortfahren soll.

-L  Legt fest, dass Anfragen mit der HTTP/1.0-Kopfzeile »Content-Length:« gesendet werden sollen, der für Konformität von allen IPP-Versionen verlangt wird. Standardmäßig wird »Transfer-Encoding: chunked« für Anfragen mit anhängenden Dateien und »Content-Length:« für Anfragen ohne anhängende Dateien verwandt.

-P Dateiname.plist
    Legt fest, dass die Ergebnisse der Tests zusätzlich zu dem normalen Testbericht (-t) in die benannte XML- (Apple plist-)Datei geschrieben werden sollen. Diese Option ist inkompatibel zu den Optionen -i (Intervall) und -n (Anzahl-Wiederholungen).

-S  Erzwingt (dedizierte) TLS-Verschlüsselung bei Verbindungen zum Server.

-T Sekunden
    Legt eine Zeitüberschreitung in Sekunden für IPP-Anfragen fest.

-V Version
    Legt die zu verwendende Standard-IPP-Version fest: 1.0, 1.1, 2.0, 2.1 oder 2.2. Falls nicht angegeben, wird Version 1.1 verwandt.

-X  Legt fest, dass die XML- (Apple-Plist-)Ausgabe statt des reinen Textberichts erwünscht ist. Diese Option ist inkompatibel zu den Optionen -i (Intervall) und -n (Anzahl-Wiederholungen).

-c  Legt fest, dass CVS- (Kommata-getrennte Werte-)Ausgabe statt des reinen Textberichts erwünscht ist.

-d Name=Wert
    Definiert die genannte Variable.

-f Dateiname
    Definiert den Standardanfragedateinamen für Tests.

-h  Validiert HTTP-Antwort-Kopfzeilen.

-i Sekunden
    Legt fest, dass die (letzte) Testdatei mit dem angegebenen Intervall wiederholt werden soll. Diese Option ist inkompatibel zu der Option -X (XML-Plist-Ausgabe).

-j  Legt fest, dass ipptool JSON-Ausgabe erstellen soll.

-l  Legt fest, dass die Ausgabe als einfacher Text erwünscht ist.

-n Anzahl-Wiederholungen
    Legt fest, dass die (letzte) Testdatei entsprechend der angegeben Zahl wiederholt werden soll. Diese Option ist inkompatibel zu der Option -X (XML-Plist-Ausgabe).

-q  Still sein und keine Ausgabe erzeugen.

-t  Legt fest, dass CUPS-Testberichtausgabe statt einfache Textausgabe erwünscht ist.

-v  Legt fest, dass alle Anfrage- und Antwort-Attribute im CUPS-Testmodus (-t) ausgegeben werden sollen. Dies ist die Vorgabe für XML-Ausgabe.

EXIT-STATUS
Das Programm ipptool liefert 0 zurück, falls alle Tests erfolgreich waren und ansonsten 1.

DATEIEN
Die folgenden Standarddateien sind verfügbar:

    color.jpg
    create-printer-subscription.test
    document-a4.pdf
    document-a4.ps
    document-letter.pdf
    document-letter.ps
    get-completed-jobs.test
    get-jobs.test
    get-notifications.test
    get-printer-attributes.test
    get-subscriptions.test
    gray.jpg
    ipp-1.1.test
    ipp-2.0.test
    ipp-2.1.test
    ipp-2.2.test
    ipp-everywhere.test
    onepage-a4.pdf
    onepage-a4.ps
    onepage-letter.pdf
    onepage-letter.ps
    print-job.test
    print-job-deflate.test
    print-job-gzip.test
    testfile.jpg
    testfile.pcl
    testfile.pdf
    testfile.ps
    testfile.txt
    validate-job.test

KONFORMITÄT
Das Programm ipptool ist eine Besonderheit von CUPS und konform zu der Spezifikation »Internet Printing Protocol« bis zu Version 2.2.

BEISPIELE
Eine Liste von abgeschlossenen Aufträgen für »MeinDrucker« ermitteln:

    ipptool ipp://localhost/printers/MeinDrucker get-completed-jobs.test

Eine E-Mail-Benachrichtigung an »user@example.com« senden, wenn sich »MeinDrucker« ändert:

    ipptool -d recipient=mailto:user@example.com \
        ipp://localhost/printers/myprinter create-printer-subscription.test

SIEHE AUCH
ipptoolfile(5), IANA IPP Registry (https://www.iana.org/assignments/ipp-registrations), PWG Internet Printing Protocol Workgroup (https://www.pwg.org/ipp), RFC 8011 (https://datatracker.ietf.org/doc/html/rfc8011),

COPYRIGHT
Copyright © 2021-2023 by OpenPrinting.